Subject: LRO: Re: ser3 importers? skytop? Others?

From: "James G.Wolf" <[email-masked]>
Date: Sun, 06 May 2001 11:12:38 -0400

I have purchased parts ( frame, bulkhead etc) from P.A. Blanchard and have
no complaints at all. I have however, never purchased a vehicle
from him. He does have ads in LRM and/or LRE that states he will perpare
and ship 25 year old vehicles to the states. I can only go by
my own experience with parts,ie. no problems. As long as you remember that
you are buying (most likley) an EXMOD GS-vehicle, and plan accordingly you
should be ok.

Jim Wolf